#include "CoreRewardWrapperWidget.h"
#include "ETooltipHorizontalAlignment.h"
#include "RewardWrapperViewData.h"
#include "Templates/SubclassOf.h"
#include "ERewardType.h"

class UCoreRewardWidget;

void UCoreRewardWrapperWidget::SetTooltipAlignment(const ETooltipHorizontalAlignment alignment)
{

}

void UCoreRewardWrapperWidget::SetScaleUserSpecified(float scale)
{

}

void UCoreRewardWrapperWidget::SetScaleToFit(float size)
{

}

void UCoreRewardWrapperWidget::SetIsLocked(bool isLocked, bool playAnimation)
{

}

void UCoreRewardWrapperWidget::SetIsClickable(bool isClickable)
{

}

void UCoreRewardWrapperWidget::SetData_Implementation(const FRewardWrapperViewData& viewData)
{

}

TSubclassOf<UCoreRewardWidget> UCoreRewardWrapperWidget::GetWidgetClassFromRewardType(ERewardType rewardType) const
{
	return NULL;
}

UCoreRewardWidget* UCoreRewardWrapperWidget::GetRewardWidget() const
{
	return NULL;
}

void UCoreRewardWrapperWidget::CreateRewardWidget(TSubclassOf<UCoreRewardWidget> rewardClass)
{

}

void UCoreRewardWrapperWidget::ClearData()
{

}

UCoreRewardWrapperWidget::UCoreRewardWrapperWidget() : UUserWidget(FObjectInitializer::Get())
{
	this->CharacterRewardWidget = NULL;
	this->CurrencyProgressionRewardWidget = NULL;
	this->CustomizationRewardWidget = NULL;
}
